import { FieldInfo } from 'model-util-base';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-09-28 13:12
 */
export interface WbRegisterEvent {
    /**
    *
    * @type { number }
    */
    id?: number;
    /**
    *
    * @type { string }
    */
    outerUserId?: string;
    /**
    *
    * @type { string }
    */
    userAction?: string;
    /**
    *
    * @type { string }
    */
    actionTime?: string;
    /**
    *
    * @type { string }
    */
    outerData?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class WbRegisterEventMI {
    static get ID(): FieldInfo;
    static get OUTER_USER_ID(): FieldInfo;
    static get USER_ACTION(): FieldInfo;
    static get ACTION_TIME(): FieldInfo;
    static get OUTER_DATA(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-09-28 13:12
 */
export interface BusBlackLot {
    /**
    * 车场ID
    * @type { string }
    */
    lotId?: string;
    /**
    * 01:广告投放 02: 无感按钮 03：我已离场
    * @type { string }
    */
    code?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class BusBlackLotMI {
    static get LOT_ID(): FieldInfo;
    static get CODE(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-09-28 13:12
 */
export interface BusParkingAdConfig {
    /**
    *
    * @type { string }
    */
    adCfgId?: string;
    /**
    *
    * @type { string }
    */
    adName?: string;
    /**
    *
    * @type { string }
    */
    adTitle?: string;
    /**
    *
    * @type { string }
    */
    adLink?: string;
    /**
    *
    * @type { string }
    */
    adPicUrl?: string;
    /**
    *
    * @type { string }
    */
    adCode?: string;
    /**
    * 广告类型,00:单播单次，01：单播多次
    * @type { string }
    */
    adType?: string;
    /**
    * 广告优先级,数字越小优先级越高
    * @type { number }
    */
    adPriority?: number;
    /**
    *
    * @type { string }
    */
    adPosition?: string;
    /**
    *
    * @type { Date }
    */
    startTime?: Date;
    /**
    *
    * @type { Date }
    */
    endTime?: Date;
    /**
    *
    * @type { string }
    */
    linkMan?: string;
    /**
    *
    * @type { string }
    */
    linkEmail?: string;
    /**
    *
    * @type { string }
    */
    linkPhone?: string;
    /**
    *
    * @type { number }
    */
    clickCount?: number;
    /**
    *
    * @type { number }
    */
    sendCount?: number;
    /**
    *
    * @type { string }
    */
    status?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    *
    * @type { number }
    */
    reservedField1?: number;
    /**
    *
    * @type { number }
    */
    reservedField2?: number;
    /**
    *
    * @type { string }
    */
    reservedField3?: string;
    /**
    *
    * @type { string }
    */
    reservedField4?: string;
    /**
    *
    * @type { string }
    */
    reservedField5?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 用户群体,00:全部，01：微信关注用户，02：未关注用户
    * @type { string }
    */
    userGroup?: string;
    /**
    * 广告来源,01:后台，02：KOS
    * @type { string }
    */
    source?: string;
    /**
    * 投放平台,00:全部，01：微信，02：支付宝
    * @type { string }
    */
    platform?: string;
}
export declare class BusParkingAdConfigMI {
    static get AD_CFG_ID(): FieldInfo;
    static get AD_NAME(): FieldInfo;
    static get AD_TITLE(): FieldInfo;
    static get AD_LINK(): FieldInfo;
    static get AD_PIC_URL(): FieldInfo;
    static get AD_CODE(): FieldInfo;
    static get AD_TYPE(): FieldInfo;
    static get AD_PRIORITY(): FieldInfo;
    static get AD_POSITION(): FieldInfo;
    static get START_TIME(): FieldInfo;
    static get END_TIME(): FieldInfo;
    static get LINK_MAN(): FieldInfo;
    static get LINK_EMAIL(): FieldInfo;
    static get LINK_PHONE(): FieldInfo;
    static get CLICK_COUNT(): FieldInfo;
    static get SEND_COUNT(): FieldInfo;
    static get STATUS(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get RESERVED_FIELD1(): FieldInfo;
    static get RESERVED_FIELD2(): FieldInfo;
    static get RESERVED_FIELD3(): FieldInfo;
    static get RESERVED_FIELD4(): FieldInfo;
    static get RESERVED_FIELD5(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get USER_GROUP(): FieldInfo;
    static get SOURCE(): FieldInfo;
    static get PLATFORM(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-09-28 13:12
 */
export interface WbAdConfig {
    /**
    *
    * @type { string }
    */
    adId?: string;
    /**
    *
    * @type { string }
    */
    position?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class WbAdConfigMI {
    static get AD_ID(): FieldInfo;
    static get POSITION(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-09-28 13:12
 */
export interface BusParkingLot {
    /**
    *
    * @type { string }
    */
    lotId?: string;
    /**
    *
    * @type { string }
    */
    groupId?: string;
    /**
    *
    * @type { string }
    */
    lotCode?: string;
    /**
    *
    * @type { string }
    */
    lotName?: string;
    /**
    *
    * @type { string }
    */
    logoUrl?: string;
    /**
    *
    * @type { number }
    */
    totalSpace?: number;
    /**
    *
    * @type { string }
    */
    funcFlag?: string;
    /**
    *
    * @type { string }
    */
    keyword?: string;
    /**
    *
    * @type { string }
    */
    description?: string;
    /**
    * 交易手续费,百分比
    * @type { number }
    */
    tradeFee?: number;
    /**
    *
    * @type { string }
    */
    contact?: string;
    /**
    *
    * @type { string }
    */
    contactInfo?: string;
    /**
    *
    * @type { string }
    */
    provId?: string;
    /**
    *
    * @type { string }
    */
    cityId?: string;
    /**
    *
    * @type { string }
    */
    districtId?: string;
    /**
    *
    * @type { string }
    */
    lotNatureCode?: string;
    /**
    *
    * @type { string }
    */
    address?: string;
    /**
    *
    * @type { string }
    */
    useMap?: string;
    /**
    *
    * @type { string }
    */
    longitude?: string;
    /**
    *
    * @type { string }
    */
    latitude?: string;
    /**
    *
    * @type { string }
    */
    useSuperpark?: string;
    /**
    *
    * @type { string }
    */
    useKeytop?: string;
    /**
    *
    * @type { string }
    */
    useSubMer?: string;
    /**
    *
    * @type { string }
    */
    superparkSubAcct?: string;
    /**
    *
    * @type { string }
    */
    keytopSubAcct?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 操作人
    * @type { string }
    */
    operator?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    *
    * @type { string }
    */
    superparkSubAppid?: string;
    /**
    *
    * @type { boolean }
    */
    enableNews?: boolean;
    /**
    *
    * @type { string }
    */
    newsTemplate?: string;
    /**
    *
    * @type { string }
    */
    keytopSubAppid?: string;
    /**
    *
    * @type { string }
    */
    payUrl?: string;
    /**
    *
    * @type { string }
    */
    payQrCodeUrl?: string;
    /**
    * 共用二维码地址
    * @type { string }
    */
    shareQrCodeUrl?: string;
    /**
    *
    * @type { boolean }
    */
    enableCallback?: boolean;
    /**
    *
    * @type { string }
    */
    payCallbackUrl?: string;
    /**
    * 禁止速停车查询
    * @type { boolean }
    */
    disableStcQuery?: boolean;
    /**
    * 禁止API查询
    * @type { boolean }
    */
    disableApiQuery?: boolean;
    /**
    * 是否支持缴费
    * @type { boolean }
    */
    enablePayment?: boolean;
    /**
    *
    * @type { boolean }
    */
    enableRefund?: boolean;
    /**
    * 是否启用后付费
    * @type { boolean }
    */
    enablePostPaid?: boolean;
    /**
    * 是否启用入场消息推送
    * @type { boolean }
    */
    enableComeMsgPush?: boolean;
    /**
    * 是否启用车位消息推送
    * @type { boolean }
    */
    enableLocationMsgPush?: boolean;
    /**
    * 是否开启自定义按钮
    * @type { boolean }
    */
    enableCustomBtn?: boolean;
    /**
    * 是否开启锁车功能
    * @type { boolean }
    */
    enableLockCar?: boolean;
    /**
    * TCP 0/MQ 1
    * @type { string }
    */
    lotSyncChannel?: string;
    /**
    * 是否支持热门车场
    * @type { string }
    */
    isHot?: string;
    /**
    * 车场本地ID
    * @type { string }
    */
    clientId?: string;
    /**
    *
    * @type { string }
    */
    closeTip?: string;
    /**
    *
    * @type { string }
    */
    ordQueryBtmHtml?: string;
    /**
    * 在订单支付成功页面显示的自定义HTML
    * @type { string }
    */
    ordSuccessHtml?: string;
    /**
    *
    * @type { boolean }
    */
    isFarewellWord?: boolean;
}
export declare class BusParkingLotMI {
    static get LOT_ID(): FieldInfo;
    static get GROUP_ID(): FieldInfo;
    static get LOT_CODE(): FieldInfo;
    static get LOT_NAME(): FieldInfo;
    static get LOGO_URL(): FieldInfo;
    static get TOTAL_SPACE(): FieldInfo;
    static get FUNC_FLAG(): FieldInfo;
    static get KEYWORD(): FieldInfo;
    static get DESCRIPTION(): FieldInfo;
    static get TRADE_FEE(): FieldInfo;
    static get CONTACT(): FieldInfo;
    static get CONTACT_INFO(): FieldInfo;
    static get PROV_ID(): FieldInfo;
    static get CITY_ID(): FieldInfo;
    static get DISTRICT_ID(): FieldInfo;
    static get LOT_NATURE_CODE(): FieldInfo;
    static get ADDRESS(): FieldInfo;
    static get USE_MAP(): FieldInfo;
    static get LONGITUDE(): FieldInfo;
    static get LATITUDE(): FieldInfo;
    static get USE_SUPERPARK(): FieldInfo;
    static get USE_KEYTOP(): FieldInfo;
    static get USE_SUB_MER(): FieldInfo;
    static get SUPERPARK_SUB_ACCT(): FieldInfo;
    static get KEYTOP_SUB_ACCT(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get OPERATOR(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get SUPERPARK_SUB_APPID(): FieldInfo;
    static get ENABLE_NEWS(): FieldInfo;
    static get NEWS_TEMPLATE(): FieldInfo;
    static get KEYTOP_SUB_APPID(): FieldInfo;
    static get PAY_URL(): FieldInfo;
    static get PAY_QR_CODE_URL(): FieldInfo;
    static get SHARE_QR_CODE_URL(): FieldInfo;
    static get ENABLE_CALLBACK(): FieldInfo;
    static get PAY_CALLBACK_URL(): FieldInfo;
    static get DISABLE_STC_QUERY(): FieldInfo;
    static get DISABLE_API_QUERY(): FieldInfo;
    static get ENABLE_PAYMENT(): FieldInfo;
    static get ENABLE_REFUND(): FieldInfo;
    static get ENABLE_POST_PAID(): FieldInfo;
    static get ENABLE_COME_MSG_PUSH(): FieldInfo;
    static get ENABLE_LOCATION_MSG_PUSH(): FieldInfo;
    static get ENABLE_CUSTOM_BTN(): FieldInfo;
    static get ENABLE_LOCK_CAR(): FieldInfo;
    static get LOT_SYNC_CHANNEL(): FieldInfo;
    static get IS_HOT(): FieldInfo;
    static get CLIENT_ID(): FieldInfo;
    static get CLOSE_TIP(): FieldInfo;
    static get ORD_QUERY_BTM_HTML(): FieldInfo;
    static get ORD_SUCCESS_HTML(): FieldInfo;
    static get IS_FAREWELL_WORD(): FieldInfo;
}
